
Audacious - Bug #1144

Crash when adding tak files to a playlist

December 10, 2021 01:58 - Anonymous

Status: Rejected Start date: December 10, 2021

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: plugins/ffaudio Estimated time: 0.00 hour

Target version:    

Affects version: 4.1   

Description

When loading specific files into the playlist, Audacious will terminate and print out:

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/ffaudio.so.

INFO ffaudio-core.cc:263 [get_format_by_extension]: Matched format tak by extension.

INFO probe.cc:163 [aud_file_find_decoder]: Matched FFmpeg Plugin by content.

INFO ffaudio-core.cc:263 [get_format_by_extension]: Matched format tak by extension.

INFO ffaudio-core.cc:263 [get_format_by_extension]: Matched format tak by extension.

INFO probe.cc:163 [aud_file_find_decoder]: Matched FFmpeg Plugin by content.

INFO ffaudio-core.cc:263 [get_format_by_extension]: Matched format tak by extension.

INFO probe-buffer.cc:54 [release_buffer]: <0x7f4d90000fc0> buffering disabled for

file:///media/music/Music/cYsmix%20-%20Escapism/TAK/03%20-%20cYsmix%20-%20Eden.tak

INFO probe-buffer.cc:54 [release_buffer]: <0x7f4da40037a0> buffering disabled for

file:///media/music/Music/Chiptunes%20=%20WIN%20-%20Chiptunes%20=%20WIN%20Volume%208/TAK/36%20-%20PICE%20-

%20Home.tak

INFO probe-buffer.cc:138 [fseek]: <0x7f4d90000fc0> buffering enabled for

file:///media/music/Music/cYsmix%20-%20Escapism/TAK/03%20-%20cYsmix%20-%20Eden.tak

INFO probe-buffer.cc:54 [release_buffer]: <0x7f4d90000fc0> buffering disabled for

file:///media/music/Music/cYsmix%20-%20Escapism/TAK/03%20-%20cYsmix%20-%20Eden.tak

INFO probe-buffer.cc:138 [fseek]: <0x7f4d90000fc0> buffering enabled for

file:///media/music/Music/cYsmix%20-%20Escapism/TAK/03%20-%20cYsmix%20-%20Eden.tak

INFO probe-buffer.cc:54 [release_buffer]: <0x7f4d90000fc0> buffering disabled for

file:///media/music/Music/cYsmix%20-%20Escapism/TAK/03%20-%20cYsmix%20-%20Eden.tak

INFO probe-buffer.cc:138 [fseek]: <0x7f4d90000fc0> buffering enabled for

file:///media/music/Music/cYsmix%20-%20Escapism/TAK/03%20-%20cYsmix%20-%20Eden.tak

INFO probe-buffer.cc:54 [release_buffer]: <0x7f4d90000fc0> buffering disabled for

file:///media/music/Music/cYsmix%20-%20Escapism/TAK/03%20-%20cYsmix%20-%20Eden.tak

terminate called after throwing an instance of 'std::bad_alloc'

what():  std::bad_alloc

Aborted (core dumped)

I've tried TAK and WavPack so far and both trigger this. Opus,OFR,MP3 however does not trigger this crash.

History

#1 - December 18, 2021 16:50 - John Lindgren

- Category changed from plugins/wavpack to plugins/ffaudio

- Subject changed from Instant crash when adding music to a playlist to Crash when adding tak files to a playlist

Please attach an example file that triggers the crash.

#2 - December 18, 2021 16:50 - John Lindgren

- Affects version deleted (3.10.1, 3.7.3, 3.9.1, 4.0, 4.0.1, 4.0.2, 4.0.3, 4.0.4)

#3 - March 20, 2022 12:40 - John Lindgren

- Status changed from New to Rejected
Closing due to no response.
